
Smart Proxy - Bug #6085

Virsh provider is not interpreting DHCP netmask correctly

06/06/2014 07:49 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The virsh.rb loadSubnets method was only looking for a definition of a netmask inside the libvirt network XML, despite netmask not

being there in case a prefix attribute was defined. netmask and prefix are mutually exclusive by libvirt definition.

Also the ipaddr library has no easy way of retrieving a readable netmask from a prefix, albeit this functionality is provided by the

inspect method, in this case the same thing was done as in inspect.

https://github.com/theforeman/smart-proxy/pull/164

Associated revisions

Revision 499c3805 - 07/04/2014 02:13 PM - Vincent Kramar 

fixes #6085 - fixed virsh dhcp provider netmask interpretation

The virsh.rb loadSubnets method was only looking for a definition of

a netmask inside the libvirt network XML, despite netmask not being

there in case a prefix attribute was defined. netmask and prefix are

mutually exclusive by libvirt definition.

Also the ipaddr library has no easy way of retrieving a readable netmask

from a prefix, albeit this functionality is provided by the inspect

method of IPAddr, a monkey-patch "to_mask" was introduced to circument

the original implementation.

History

#1 - 06/11/2014 02:53 PM - Anonymous

- Target version changed from 1.8.2 to 1.8.1

#2 - 07/04/2014 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 499c38056a87f35cb02f8ac9fa7692eb1951bb1a.
